CVE-2019-16225

NameCVE-2019-16225
DescriptionAn issue was discovered in py-lmdb 0.97. For certain values of mp_flags, mdb_page_touch does not properly set up mc->mc_pg[mc->top], leading to an invalid write operation. NOTE: this outcome occurs when accessing a data.mdb file supplied by an attacker.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
py-lmdb (PTS)stretch0.86-1vulnerable
bullseye, sid0.86-1.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
py-lmdbsource(unstable)(unfixed)unimportant

Notes

https://github.com/jnwatson/py-lmdb/issues/210
No real security issue in py-lmdb and disputed (MITRE contacted). If at all
then issues in underlying library but cf. https://github.com/jnwatson/py-lmdb/issues/210#issuecomment-531015023

Search for package or bug name: Reporting problems